# pm_tmpfile_fd()

Updated: 31 December 2007

## NAME

pm_tmpfile_fd() - create a temporary unnamed file

## SYNOPSIS

    #include <netpbm/pm.h>

    FILE *
    pm_tmpfile_fd(void);

## EXAMPLE

This simple example creates a temporary file, writes "hello world" to it, then reads back and prints those contents.

    #include <netpbm/pm.h>

    int fd;

    fd = pm_tmpfile();

    write(fd, "hello world\n", 17);

    lseek(fd, 0, SEEK_SET);

    read(fd, buffer, sizeof(buffer));

    fprintf(STDOUT, "temp file contains '%s'\n", buffer);

    close(fd);

## DESCRIPTION

This library function is part of Netpbm.

pm_tmpfile_fd() is analogous to pm_tmpfile(). The only difference is that it opens the file as a low level file, as open() would, rather than as a stream, as fopen() would.

If you need to refer to the temporary file by name, use pm_make_tmpfile_fd() instead.

## HISTORY

pm_tmpfile() was introduced in Netpbm 10.42 (March 2008).